%define major 1
%define libname libforms
%define _xlibdir /usr/X11R6/%{_lib}

%define beta RC4
%if %beta
%define rversion %version%beta
%define release 0.2%{beta}mdk
%else
%define release 1.0
%endif


Name: xforms
Summary: An X11 toolkit library.
Version: 1.0
Release: %release
License: LGPL
Group: System/Libraries
Url: http://world.std.com/~xforms
Source: ftp://ncmir.ucsd.edu/pub/xforms/OpenSource/%name-%rversion.tar.bz2
Patch: xforms-1.0RC4-makefile.patch.bz2
BuildRequires:	XFree86-devel
BuildRequires:	libjpeg-devel
BuildRequires:	xpm-devel
BuildRoot: %_tmppath/%name-root

%description
xforms is an X11 toolkit library.

It has now gone Open Source (LGPL).

%package -n %libname%major
Summary: Libraries for the xforms toolkit.
Group: System/Libraries
Provides: %libname

%description -n %libname%major
This package contains the runtime libraries for the xforms toolkit.

%package -n %libname%major-devel
Summary: Development files for the xforms toolkit.
Group: Development/C
Provides: %libname-devel
Requires: %libname%major = %version

%description -n %libname%major-devel
This package contains development headers and libraries for xforms.

Install this if you intend to develop / compile programs with xforms.

%package -n %libname%major-static-devel
Summary: The static development files for the xforms toolkit.
Group: Development/C
Provides: %libname-static-devel
Requires: %libname%major-devel = %version

%description -n %libname%major-static-devel
This package contains the static libraries for xforms.

%prep

%if %beta
%setup -q -n %name-%rversion
%else
%setup -q 
%endif
%patch -p1 -b .makefile

%build
(unset RPM_OPT_FLAGS; xmkmf -a)
make CDEBUGFLAGS="$RPM_OPT_FLAGS" REQUIREDLIBS="-L%_xlibdir -lGL -ljpeg -lXpm"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname%major -p /sbin/ldconfig

%postun -n %libname%major -p /sbin/ldconfig

%files
%defattr(-, root,root)
/usr/X11R6/bin/*

%files -n %libname%major
%defattr(-,root,root)
%_xlibdir/*.so.*

%files -n %libname%major-devel
%defattr(-,root,root)
/usr/X11R6/include/*
%_xlibdir/*.so

%files -n %libname%major-static-devel
%defattr(-,root,root)
%_xlibdir/*.a

%changelog
* Thu Sep 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.2RC4mdk
- Fix Patch1 (makefile) to get correct SystemUsrLibDir and totally
  nuke references to -I/usr/local/include. Aka, make it lib64-aware.

* Thu Aug 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-0.1RC4mdk
- rc4
- rebuild for new g++-3.2 ABI
- major is 1 now
- rediff patch 0
- fix build

* Sat Jun 15 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-6mdk
- Link against -lxpm as well. (Crufty!!)

* Wed Jun 05 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9999-5mdk
- BuildRequires

* Fri May 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-4mdk
- Add ldconfig to post and postun.

* Fri May 17 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-3mdk
- Link against -lGL and -ljpeg.

* Thu May 16 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-2mdk
- Add a url (askwar).

* Tue May 14 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9999-1mdk
- First Mandrake version.

